原生Gemini格式
Gemini 音频生成接口。 可使用gemini-2.5-flash-preview-tts等模型
POST
/v1beta/models/{model}:generateContent原生Gemini格式
Gemini 音频生成接口。 可使用gemini-2.5-flash-preview-tts等模型
鉴权: 使用 Bearer Token 认证。 格式: `Authorization: Bearer sk-xxxxxx`
请求参数
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
model | string | 是 | 模型名称 位置: path |
请求体
Content-Type: application/json
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
contents | array<object> | 是 | |
[] | object | ||
parts | array<object> | ||
[] | object | ||
text | string | ||
generationConfig | object | 是 | |
responseModalities | array<string> | 是 | |
[] | string | ||
speechConfig | object | 是 | |
voiceConfig | object | 是 | |
prebuiltVoiceConfig | object | 是 | |
voiceName | string | 是 |
示例代码
curl -X POST "https://api.nodeprice.com/v1beta/models/string:generateContent" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"contents": [
{
"parts": [
{
"text": "string"
}
]
}
],
"generationConfig": {
"responseModalities": [
"string"
],
"speechConfig": {
"voiceConfig": {
"prebuiltVoiceConfig": {
"voiceName": "string"
}
}
}
}
}'const url = "https://api.nodeprice.com/v1beta/models/string:generateContent";
const body = {
"contents": [
{
"parts": [
{
"text": "string"
}
]
}
],
"generationConfig": {
"responseModalities": [
"string"
],
"speechConfig": {
"voiceConfig": {
"prebuiltVoiceConfig": {
"voiceName": "string"
}
}
}
}
};
const response = await fetch(url, {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify(body)
});
console.log(await response.text());package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.nodeprice.com/v1beta/models/string:generateContent"
body := strings.NewReader(`{
"contents": [
{
"parts": [
{
"text": "string"
}
]
}
],
"generationConfig": {
"responseModalities": [
"string"
],
"speechConfig": {
"voiceConfig": {
"prebuiltVoiceConfig": {
"voiceName": "string"
}
}
}
}
}`)
req, err := http.NewRequest("POST", url, body)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(data))
}import requests
url = "https://api.nodeprice.com/v1beta/models/string:generateContent"
body = """{
"contents": [
{
"parts": [
{
"text": "string"
}
]
}
],
"generationConfig": {
"responseModalities": [
"string"
],
"speechConfig": {
"voiceConfig": {
"prebuiltVoiceConfig": {
"voiceName": "string"
}
}
}
}
}"""
response = requests.request("POST", url, data=body, headers={
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
})
print(response.text)OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n"
+ " \"contents\": [\n"
+ " {\n"
+ " \"parts\": [\n"
+ " {\n"
+ " \"text\": \"string\"\n"
+ " }\n"
+ " ]\n"
+ " }\n"
+ " ],\n"
+ " \"generationConfig\": {\n"
+ " \"responseModalities\": [\n"
+ " \"string\"\n"
+ " ],\n"
+ " \"speechConfig\": {\n"
+ " \"voiceConfig\": {\n"
+ " \"prebuiltVoiceConfig\": {\n"
+ " \"voiceName\": \"string\"\n"
+ " }\n"
+ " }\n"
+ " }\n"
+ " }\n"
+ "}");
Request request = new Request.Builder()
.url("https://api.nodeprice.com/v1beta/models/string:generateContent")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer <token>")
.build();
Response response = client.newCall(request).execute();
System.out.println(response.body().string());#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl == NULL) {
return 1;
}
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(curl, CURLOPT_URL, "https://api.nodeprice.com/v1beta/models/string:generateContent");
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\n"
+ " \"contents\": [\n"
+ " {\n"
+ " \"parts\": [\n"
+ " {\n"
+ " \"text\": \"string\"\n"
+ " }\n"
+ " ]\n"
+ " }\n"
+ " ],\n"
+ " \"generationConfig\": {\n"
+ " \"responseModalities\": [\n"
+ " \"string\"\n"
+ " ],\n"
+ " \"speechConfig\": {\n"
+ " \"voiceConfig\": {\n"
+ " \"prebuiltVoiceConfig\": {\n"
+ " \"voiceName\": \"string\"\n"
+ " }\n"
+ " }\n"
+ " }\n"
+ " }\n"
+ "}");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
CURLcode code = curl_easy_perform(curl);
if (code != CURLE_OK) {
fprintf(stderr, "%s\n", curl_easy_strerror(code));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
return 0;
}using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.nodeprice.com/v1beta/models/string:generateContent");
request.Headers.Add("Authorization", "Bearer <token>");
request.Content = new StringContent("{\n"
+ " \"contents\": [\n"
+ " {\n"
+ " \"parts\": [\n"
+ " {\n"
+ " \"text\": \"string\"\n"
+ " }\n"
+ " ]\n"
+ " }\n"
+ " ],\n"
+ " \"generationConfig\": {\n"
+ " \"responseModalities\": [\n"
+ " \"string\"\n"
+ " ],\n"
+ " \"speechConfig\": {\n"
+ " \"voiceConfig\": {\n"
+ " \"prebuiltVoiceConfig\": {\n"
+ " \"voiceName\": \"string\"\n"
+ " }\n"
+ " }\n"
+ " }\n"
+ " }\n"
+ "}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
}
}响应
200 成功
Content-Type: application/json
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
candidates | array<object> | ||
[] | object | ||
content | object | ||
role | string | ||
parts | array<object> | ||
[] | object | ||
finishReason | string | ||
safetyRatings | array<object> | ||
[] | object | ||
usageMetadata | object | ||
promptTokenCount | integer | ||
candidatesTokenCount | integer | ||
totalTokenCount | integer |